Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.image
Class ImageMetadataLexicon

    java.lang.Object
      org.modeshape.sequencer.image.ImageMetadataLexicon

    @Immutable
    public class ImageMetadataLexicon

extends Object

A lexicon of names used within the image sequencer.

Nested Class Summary
`static class` | `ImageMetadataLexicon.Namespace`

Field Summary
`static Name` | `BITS_PER_PIXEL`
`static Name` | `FORMAT_NAME`
`static Name` | `HEIGHT`
`static Name` | `METADATA_NODE`
`static Name` | `NUMBER_OF_IMAGES`
`static Name` | `PHYSICAL_HEIGHT_DPI`
`static Name` | `PHYSICAL_HEIGHT_INCHES`
`static Name` | `PHYSICAL_WIDTH_DPI`
`static Name` | `PHYSICAL_WIDTH_INCHES`
`static Name` | `PROGRESSIVE`
`static Name` | `WIDTH`

Constructor Summary
`ImageMetadataLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METADATA_NODE

    public static final Name METADATA_NODE

### FORMAT_NAME

    public static final Name FORMAT_NAME

### WIDTH

    public static final Name WIDTH

### HEIGHT

    public static final Name HEIGHT

### BITS_PER_PIXEL

    public static final Name BITS_PER_PIXEL

### PROGRESSIVE

    public static final Name PROGRESSIVE

### NUMBER_OF_IMAGES

    public static final Name NUMBER_OF_IMAGES

### PHYSICAL_WIDTH_DPI

    public static final Name PHYSICAL_WIDTH_DPI

### PHYSICAL_HEIGHT_DPI

    public static final Name PHYSICAL_HEIGHT_DPI

### PHYSICAL_WIDTH_INCHES

    public static final Name PHYSICAL_WIDTH_INCHES

### PHYSICAL_HEIGHT_INCHES

    public static final Name PHYSICAL_HEIGHT_INCHES

Constructor Detail

### ImageMetadataLexicon

    public ImageMetadataLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.